%define udev_bindir /lib/udev
%define udev_scriptdir %{udev_bindir}

Summary: Extra rules and tools for udev
Name: udev-extras
Version: 20090516
Release: 0.6.20090601git%{?dist}
# Source from http://git.kernel.org/?p=linux/hotplug/udev-extras.git
Source: udev-extras-20090516-git20090601.tar.bz2
License: GPLv2 and GPLv2+
Group: System Environment/Base

ExclusiveOS: Linux
URL: http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libudev0 >= 142
Requires: hwdata
BuildRequires: glib2-devel
BuildRequires: libusb-devel
BuildRequires: libxslt
BuildRequires: libudev-devel >= 142
BuildRequires: hwdata
BuildRequires: gobject-introspection-devel >= 0.6.2
BuildRequires: gtk-doc
BuildRequires: usbutils
BuildRequires: gperf
BuildRequires: libacl-devel

%description
The udev-extras package contains an additional rules and tools
to create and identify devices.

%package -n libgudev
Summary: Libraries for adding libudev support to applications that use glib.
Group: Development/Libraries
Requires: libudev0 >= 142

%description -n libgudev
This package contains the libraries that make it easier to use libudev
functionality from applications that use glib.

%package -n libgudev-devel
Summary: Header files for adding libudev support to applications that use glib.
Group: Development/Libraries
Requires: libudev-devel >= 142
Requires: libgudev = %{version}-%{release}

%description -n libgudev-devel
This package contains the header and pkg-config files for developing
glib-based applications using libudev functionality.

%prep
%setup -q

%build

# FIXME disable introspection for now
%configure --with-selinux \
           --prefix=%{_prefix} \
           --exec-prefix="" \
           --sysconfdir=%{_sysconfdir} \
           --with-libdir-name=%{_lib} \
           --sbindir="/sbin" \
           --enable-gtk-doc \
           --enable-introspection=no
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_docdir}/udev-extras/README.keymap.txt
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0755)
%doc COPYING TODO keymap/README.keymap.txt
#%doc README ChangeLog
%attr(0755,root,root) %{udev_bindir}/modem-modeswitch
%attr(0755,root,root) %{udev_bindir}/pci-db
%attr(0755,root,root) %{udev_bindir}/usb-db
%attr(0755,root,root) %{udev_bindir}/keymap
%attr(0755,root,root) %{udev_bindir}/udev-acl
%attr(0755,root,root) %{udev_bindir}/v4l_id
%attr(0755,root,root) %{_datadir}/udev-extras/findkeyboards
%attr(0644,root,root) %{udev_scriptdir}/rules.d/*.rules
%attr(0755,root,root) %{udev_bindir}/keymaps/*
%attr(0644,root,root) %{_mandir}/man8/modem-modeswitch*.8*
%attr(0644,root,root) %{_prefix}/lib/ConsoleKit/run-session.d/udev-acl.ck

%files -n libgudev
%defattr(0644, root, root, 0755)
%attr(0755,root,root) %{_libdir}/libgudev-1.0*
# FIXME missing introspection
# %attr(0644,root,root) %{_libdir}/girepository-1.0/GUdev-1.0.typelib

%files -n libgudev-devel
%defattr(0644, root, root, 0755)
%attr(0644,root,root) %{_includedir}/gudev-1.0/gudev/*.h
# FIXME missing introspection
#%attr(0644,root,root) %{_datadir}/gir-1.0/GUdev-1.0.gir
%dir %{_datadir}/gtk-doc/html/gudev
%attr(0644,root,root) %{_datadir}/gtk-doc/html/gudev/*
%attr(0755,root,root) %{_libdir}/pkgconfig/gudev-1.0*


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090516-0.6.20090601git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 1 2009 Dan Williams <dcbw@redhat.com> 20090516-0.5.20090601git
- Update to snapshot from git for gudev

* Mon Mar 3 2009 Lennart Poettering <lpoetter@redhat.com> 20090226-0.5.20090302git
- Update snapshot from git

* Fri Feb 27 2009 Harald Hoyer <harald@redhat.com> 20090226-0.5.20090227git
- add dependency for hwdata

* Fri Feb 27 2009 Harald Hoyer <harald@redhat.com> 20090226-0.4.20090227git
- version 20090226

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090125-0.4.20090129git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Dan Williams <dcbw@redhat.com> 20090125-0.3.20090129git
- Remove modem prober; handled elsewhere for now

* Mon Feb 16 2009 Dan Williams <dcbw@redhat.com> 20090125-0.2.20090129git
- Match udev requirement to distro's shipped udev

* Thu Jan 29 2009 Dan Williams <dcbw@redhat.com> 20090125-0.1.20090129git
- Compatibilty updates and fixes for modem prober

* Tue Jan 20 2009 Harald Hoyer <harald@redhat.com> 20081230-0.2.20090120git
- added BuildRequires
- README and ChangeLog left out for now (zero size)
- fixed License

* Tue Jan 20 2009 Harald Hoyer <harald@redhat.com> 20081230-0.1.20090120git
- initial version


